<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Simulating Hemagglutination Inhibition (HI) titers • himodel</title>
<!-- jquery --><script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script><!-- Bootstrap --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha256-916EbMg70RQy9LHiGkXzG8hSg9EdNy97GazNG/aiY1w=" crossorigin="anonymous">
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha256-U5ZEeKfGNOja007MMD3YBI0A3OSZOQbeG6z2f2Y0hu8=" crossorigin="anonymous"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.1/css/all.min.css" integrity="sha256-nAmazAk6vS34Xqo0BSrTb+abbtFlgsFK7NKSi6o7Y78=" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.1/css/v4-shims.min.css" integrity="sha256-6qHlizsOWFskGlwVOKuns+D1nB6ssZrHQrNj1wGplHc=" crossorigin="anonymous">
<!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.4/clipboard.min.js" integrity="sha256-FiZwavyI2V6+EXO1U+xzLG3IKldpiTFf3153ea9zikQ=" crossorigin="anonymous"></script><!-- headroom.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.9.4/headroom.min.js" integrity="sha256-DJFC1kqIhelURkuza0AvYal5RxMtpzLjFhsnVIeuk+U=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.9.4/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script><!-- pkgdown --><link href="pkgdown.css" rel="stylesheet">
<script src="pkgdown.js"></script><meta property="og:title" content="Simulating Hemagglutination Inhibition (HI) titers">
<meta property="og:description" content="Implementation of a biophysical model for hemagglutination 
  inhibition (HI) and a set of function to perform HI assay simulations. The 
  model predicts the degree of hemagglutination for a given antibody 
  concentration, antibody avidity, virus concentration, red blood cell 
  concentration and model parameters (parameters by default set for pandemic 
  influenza virus California/2009/H1N1 and chicken RBCs). By default, the 
  package follows the WHO HI assay protocol.">
<meta name="twitter:card" content="summary">
<!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body>
    <div class="container template-home">
      <header><div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="index.html">himodel</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.9</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
<li>
  <a href="index.html">
    <span class="fas fa fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="articles/himodel.html">Get started</a>
</li>
<li>
  <a href="reference/index.html">Reference</a>
</li>
      </ul>
<ul class="nav navbar-nav navbar-right"></ul>
</div>
<!--/.nav-collapse -->
  </div>
<!--/.container -->
</div>
<!--/.navbar -->

      

      </header><div class="row">
  <div class="contents col-md-9">
<div id="himodel" class="section level1">
<div class="page-header"><h1 class="hasAnchor">
<a href="#himodel" class="anchor"></a>himodel <img src="https://gitlab.com/csb.ethz/himodel/-/raw/master/inst/figure/sticker.png" align="right" width="160px">
</h1></div>

<p>Simulate Hemagglutination Inhibition (HI) Titers</p>
<div id="introduction" class="section level2">
<h2 class="hasAnchor">
<a href="#introduction" class="anchor"></a>Introduction</h2>
<p>This R package provides an implementation of a biophysical model of hemagglutination inhibition (HI) and a set of functions to simulate HI assays and predict HI titers [1].</p>
<p>The model and its application to infer neutralizing antibody avidities is described in detail in Linnik et al., 2020 [2].</p>
<p>For instance, for a given serum antibody concentration and antibody avidity <code>K_d_app</code>, simply call <code>simulate_hiassay</code> and then <code>predict_titer</code>:</p>
<pre class="{r}"><code>serum_antibody = 100 # nM
K_d_app = 1 # nM

assay_results &lt;- simulate_hiassay(serum_antibody, K_d_app)
hi_titer &lt;- predict_titer(assay_results)</code></pre>
<p>See the documentation for more examples.</p>
</div>
<div id="installation" class="section level2">
<h2 class="hasAnchor">
<a href="#installation" class="anchor"></a>Installation</h2>
<p>If you do not have <code>devtools</code> installed, install it first:</p>
<pre class="{r}"><code><a href="https://rdrr.io/r/utils/install.packages.html">install.packages("devtools")</a></code></pre>
<p>Then you can install the package directly from GitLab:</p>
<pre class="{r}"><code><a href="https://devtools.r-lib.org//reference/remote-reexports.html">devtools::install_git(url = "https://gitlab.com/csb.ethz/himodel", build_vignettes = TRUE)</a></code></pre>
<p>And load it:</p>
<pre class="{r}"><code><a href="https://rdrr.io/r/base/library.html">library(himodel)</a></code></pre>
</div>
<div id="documentation" class="section level2">
<h2 class="hasAnchor">
<a href="#documentation" class="anchor"></a>Documentation</h2>
<p>See <a href="https://csb.ethz.gitlab.io/himodel" class="uri">https://csb.ethz.gitlab.io/himodel</a> or load the package using <code><a href="https://rdrr.io/r/base/library.html">library(himodel)</a></code> and call the vignette using <code><a href="articles/himodel.html">vignette("himodel")</a></code>.</p>
</div>
<div id="author" class="section level2">
<h2 class="hasAnchor">
<a href="#author" class="anchor"></a>Author</h2>
<ul>
<li>Janina Linnik <a href="mailto:janina.linnik@bsse.ethz.ch" class="email">janina.linnik@bsse.ethz.ch</a>
</li>
</ul>
</div>
<div id="references" class="section level2">
<h2 class="hasAnchor">
<a href="#references" class="anchor"></a>References</h2>
<p>[1] World Health Organization, “WHO manual on animal influenza diagnosis and surveillance”, 2002. <br> [2] Linnik et al., “Model-based inference of neutralizing antibody avidites”“, 2020. (<em>in preparation</em>) <br> [3] Dolgosheina et al,.”A kinetic model of the agglutination process." 1992. <br> [4] de St. Groth, “The neutralization of viruses”, 1963.</p>
</div>
</div>
  </div>

  <div class="col-md-3 hidden-xs hidden-sm" id="sidebar">
    <div class="license">
<h2>License</h2>
<ul class="list-unstyled">
<li>
<a href="https://opensource.org/licenses/mit-license.php">MIT</a> + file <a href="LICENSE-text.html">LICENSE</a>
</li>
</ul>
</div>
<div class="community">
<h2>Community</h2>
<ul class="list-unstyled">
<li><a href="CODE_OF_CONDUCT.html">Code of conduct</a></li>
</ul>
</div>
<div class="developers">
<h2>Developers</h2>
<ul class="list-unstyled">
<li>Janina Linnik <br><small class="roles"> Author, maintainer </small> <a href="https://orcid.org/0000-0003-0540-2896" target="orcid.widget"><img src="https://members.orcid.org/sites/default/files/vector_iD_icon.svg" class="orcid" alt="ORCID"></a> </li>
</ul>
</div>

  <div class="dev-status">
<h2>Dev status</h2>
<ul class="list-unstyled">
<li><a href="http://www.repostatus.org/#active"><img src="http://www.repostatus.org/badges/latest/active.svg" alt="Project Status"></a></li>
<li><a href="https://gitlab.com/csb.ethz/himodel/-/commits/master"><img src="https://gitlab.com/csb.ethz/himodel/badges/master/pipeline.svg" alt="pipeline status"></a></li>
<li><a href="https://gitlab.com/csb.ethz/himodel/-/commits/master"><img src="https://gitlab.com/csb.ethz/himodel/badges/master/coverage.svg" alt="coverage report"></a></li>
</ul>
</div>
</div>
</div>


      <footer><div class="copyright">
  <p>Developed by Janina Linnik.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.4.1.</p>
</div>

      </footer>
</div>

  


  </body>
</html>
